.dl {
    border-top: 3px solid #d9d9d9;
    border-bottom: 3px solid #d9d9d9;
    min-height: 684px;
    padding-bottom: 20px;
    padding-left: 20px;
    padding-right: 20px;
    display: flex;
    flex-direction: column;
}

.demandPublishList {
    margin: 0;
    margin-bottom: 15px;
}

.infolist {
    line-height: 2.5rem;
    color: #000 !important;
    font-size: 18px;
    padding: 10px;
    padding-bottom: 0px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
}

.dl li:hover {
    color: #008bcd;
}

.subtitle {
    color: #008bcd;
    font-size: 20px;
    padding-left: 1.2rem;
    font-weight: bolder;
    padding-bottom: 20px;
    background: url('../images/title_bg.png') no-repeat 0px 12px;
}

.titleRow {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}

.publishDemandFrame {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    align-items: center;
    margin-bottom: 10px;
    border-bottom: 3px solid #3269bb;
}

.DEsearchBtn:hover {
    text-decoration: none;
    cursor: pointer;
}

.SearchDemand {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.publishDemand {
    float: right;
    display: flex;
    flex-direction: row;
    background-color: rgb(218 0 0);
    width: max-content;
    color: white;
    padding: 2px 10px;
    border-radius: 2px;
    margin: 10px 0px 10px 40px;
}

    .publishDemand:hover {
        color: white;
        cursor: pointer;
        text-decoration: none;
        box-shadow: 0px 0px 6px 1px #b5b5b5;
    }

.infolist a {
    max-width: 80%;
    color: #000;
}

    .infolist a:hover {
        color: #008bcd;
        text-decoration: none;
    }

.demandBox {
    padding-bottom: 10px;
    border-bottom: 1px dashed #a2a2a2;
    display: flex;
    flex-direction: row;
    overflow: hidden;
    margin: 0 !important;
    flex-wrap: nowrap;
    width: 100%;
}

.demandImgBox {
    min-width: 200px;
    width: 200px;
    height: 150px;
    overflow: hidden;
    border: 1px solid #d6d6d6;
    margin-right: 10px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

    .demandImgBox img {
        max-width: 100%;
        max-height: 100%;
    }

.demandFrame {
    display: flex;
    flex-direction: column;
    cursor: pointer;
    border-radius: 3px;
}

.demandFrameJS {
    background-color: #f3f3f3;
    transition: 0.6s;
}

.demandName {
    width: 100%;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    margin-bottom: 10px;
}

.demandCon {
    font-size: 15px;
    height: 66px;
    line-height: 22px;
    color: #848484;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3;
    overflow: hidden;
    margin-bottom: 4px;
}

.demandTime {
    color: #b5b5b5;
    min-width: 95px;
    font-size: 16px;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    line-height: 22px;
}
/*列表页end*/
/*详情页start*/
.demandProDetailBox {
    display: flex;
    flex-direction: column;
    width: 100%;
}

    .demandProDetailBox div {
        line-height: 25px;
    }

    .demandProDetailBox img {
        max-width: 100%;
    }

.demandProName {
    /*font-weight: bold;*/
    /*font-size: 25px;*/
}

.demandDetailRow {
    display: flex;
    flex-direction: row;
    padding: 10px 20px;
    margin: 1px 0px;
    border-radius: 2px;
}

    .demandDetailRow:nth-child(2n+1) {
        background-color: #fff6eb;
    }

    .demandDetailRow:nth-child(2n) {
        background-color: #dff0ff;
    }

.demandDetailTitle {
    min-width: 100px;
    width: 100px;
    font-weight: bold;
}

.demandProImgBox {
    margin: 20px 0px;
}
/*详情页end*/
/*弹窗start*/
#publishDemand {
    height: 36px;
    line-height: 36px;
}

.form-box {
    margin: 20px
}

.form-group {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
}

    .form-group dd {
        margin: 0;
    }

    .form-group dt {
        width: 90px;
        min-width: 90px;
    }

.messageInput {
    height: 30px;
    width: 300px;
}

.messageTextarea {
    height: auto !important;
}

.publishDemandDl {
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.mustWrite {
    color: red;
    font-size: 10px;
}

#preview_photo {
    max-width: 300px;
    max-height: 300px;
    margin-top: 6px;
    border: 1px dashed #b9b9b9;
    overflow: hidden;
}
/*图片上传start*/
.box {
    width: 600px;
    margin: 0px auto;
    padding: 50px 5px 5px 5px;
}

.upload {
    text-align: center;
    background: #f2f2f2;
    position: relative;
}

    .upload:hover {
        background: #21292f;
        color: #ffffff;
    }

    .upload input {
        opacity: 0;
        position: absolute;
        top: -1px;
        left: -1px;
        width: 100%;
    }

.imgLog {
    border: 1px dashed #ccc;
    cursor: pointer;
}

.demandDetailLocal {
    opacity: 0;
}
/*图片上传end*/
#paraDemandSurplus {
    color: #9e9e9e;
    font-size: 12px;
    max-width: 46px;
    padding-left:2px;
}

.listRow {
    display: flex;
    flex-direction: row;
    align-items:flex-end;
}
